package com.adealink.weparty.call.manager

import com.adealink.frame.base.Rlt
import com.adealink.frame.frame.IBaseFrame
import io.trtc.tuikit.atomicxcore.api.CompletionHandler

interface ICallManager : IBaseFrame<ICallListener> {

    /**
     * 主动呼叫,邀请
     */
    fun call(
        targetUid: String,
        callback: CompletionHandler?,
    )

    fun accept(callback: CompletionHandler?)

    suspend fun requestPermission(isCaller: Boolean): Rlt<Any>
}